Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.ess
Class ContentHints

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.ess.ContentHints

All Implemented Interfaces:
  DEREncodable

    public class ContentHints

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`ContentHints(DERObjectIdentifier contentType)`
`ContentHints(DERObjectIdentifier contentType, DERUTF8String contentDescription)`

Method Summary
`DERUTF8String` `getContentDescription()`
`DERObjectIdentifier` `getContentType()`
`static ContentHints` `getInstance(java.lang.Object o)`
`DERObject` `toASN1Object()` ContentHints ::= SEQUENCE { contentDescription UTF8String (SIZE (1..MAX)) OPTIONAL, contentType ContentType }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentHints

    public ContentHints(DERObjectIdentifier contentType)

### ContentHints

    public ContentHints(DERObjectIdentifier contentType,
                        DERUTF8String contentDescription)

Method Detail

### getInstance

    public static ContentHints getInstance(java.lang.Object o)

### getContentType

    public DERObjectIdentifier getContentType()

### getContentDescription

    public DERUTF8String getContentDescription()

### toASN1Object

    public DERObject toASN1Object()

       ContentHints ::= SEQUENCE {
         contentDescription UTF8String (SIZE (1..MAX)) OPTIONAL,
         contentType ContentType }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45